/*
 * serialDevice.h : unix serial device control for use with abpoll,
 * 		    a new active badge station network poller.
 */

#ifndef SERIAL_DEVICE
#define SERIAL_DEVICE


/*
 * exceptional return values from serialTXRXByte
 */

#define STUFF		(unsigned char) 0xff
#define TIMEOUT			(int)	-1
#define PAD				0x00

/*
 * operations
 */

int serialOpen();
int serialClose();
int serialTXRXByte();
int serialTX();
int serialRX();

#endif




