#ifndef __abng_poller_hh__
#define __abng_poller_hh__

#ifndef USE_omniORB_logStream
#define USE_omniORB_logStream
#endif

#ifndef __CORBA_H_EXTERNAL_GUARD__
#define __CORBA_H_EXTERNAL_GUARD__
#include <omniORB2/CORBA.h>
#endif


#ifdef _LC_attr
#error "A local CPP macro _LC_attr has already been defined."
#else
#ifdef  USE_stub_in_nt_dll
#define _LC_attr _OMNIORB_NTDLL_IMPORT
#else
#define _LC_attr
#endif
#endif


_CORBA_MODULE ABng_Poller

_CORBA_MODULE_BEG

#ifndef __ABng_Poller_Simple_AB_Observer__
#define __ABng_Poller_Simple_AB_Observer__
  class   Simple_AB_Observer;
  typedef Simple_AB_Observer* Simple_AB_Observer_ptr;
  typedef Simple_AB_Observer_ptr Simple_AB_ObserverRef;
  class _proxy_Simple_AB_Observer;
  class _sk_Simple_AB_Observer;
  class _nil_Simple_AB_Observer;

  class Simple_AB_Observer_Helper {
    public:
    static Simple_AB_Observer_ptr _nil();
    static CORBA::Boolean is_nil(Simple_AB_Observer_ptr p);
    static void release(Simple_AB_Observer_ptr p);
    static void duplicate(Simple_AB_Observer_ptr p);
    static size_t NP_alignedSize(Simple_AB_Observer_ptr obj,size_t initialoffset);
    static void marshalObjRef(Simple_AB_Observer_ptr obj,NetBufferedStream &s);
    static Simple_AB_Observer_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Simple_AB_Observer_ptr obj,MemBufferedStream &s);
    static Simple_AB_Observer_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Simple_AB_Observer,Simple_AB_Observer_Helper> Simple_AB_Observer_var;

#endif
#ifndef __ABng_Poller_Simple_AB_Poller__
#define __ABng_Poller_Simple_AB_Poller__
  class   Simple_AB_Poller;
  typedef Simple_AB_Poller* Simple_AB_Poller_ptr;
  typedef Simple_AB_Poller_ptr Simple_AB_PollerRef;

  class Simple_AB_Poller_Helper {
    public:
    static Simple_AB_Poller_ptr _nil();
    static CORBA::Boolean is_nil(Simple_AB_Poller_ptr p);
    static void release(Simple_AB_Poller_ptr p);
    static void duplicate(Simple_AB_Poller_ptr p);
    static size_t NP_alignedSize(Simple_AB_Poller_ptr obj,size_t initialoffset);
    static void marshalObjRef(Simple_AB_Poller_ptr obj,NetBufferedStream &s);
    static Simple_AB_Poller_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Simple_AB_Poller_ptr obj,MemBufferedStream &s);
    static Simple_AB_Poller_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Simple_AB_Poller,Simple_AB_Poller_Helper> Simple_AB_Poller_var;

#endif
#define ABng_Poller_Simple_AB_Poller_IntfRepoID "IDL:ABng_Poller/Simple_AB_Poller:1.0"

  class Simple_AB_Poller : public virtual omniObject, public virtual CORBA::Object {
  public:

    static _LC_attr const CORBA::TypeCode_ptr _tc_Octets;
    typedef _CORBA_Unbounded_Sequence__Octet Octets;
    typedef _CORBA_Sequence_Var<Octets, CORBA::Octet > Octets_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Message;
    typedef _CORBA_Unbounded_Sequence__Octet Message;
    typedef _CORBA_Sequence_Var<Message, CORBA::Octet > Message_var;

    virtual char *  name ()  = 0;
    virtual CORBA::Boolean  click_counting_flag ()  = 0;
    virtual void click_counting_flag (CORBA::Boolean  _value) = 0;
    virtual CORBA::UShort  max_clicks ()  = 0;
    virtual void max_clicks (CORBA::UShort  _value) = 0;
    virtual CORBA::UShort  click_timeout ()  = 0;
    virtual void click_timeout (CORBA::UShort  _value) = 0;
    virtual CORBA::UShort  delay ()  = 0;
    virtual void delay (CORBA::UShort  _value) = 0;
    virtual CORBA::Boolean  attach_observer ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual CORBA::Boolean  detach_observer ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual CORBA::Boolean  attach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ) = 0;
    virtual CORBA::Boolean  detach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ) = 0;
    virtual CORBA::Boolean  detach_observer_all ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual void issue_command ( const Message & cmd ) = 0;
    static Simple_AB_Poller_ptr _duplicate(Simple_AB_Poller_ptr);
    static Simple_AB_Poller_ptr _narrow(CORBA::Object_ptr);
    static Simple_AB_Poller_ptr _nil();

    static inline size_t NP_alignedSize(Simple_AB_Poller_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_Simple_AB_Poller_IntfRepoID,37,initialoffset);
    }

    static inline void marshalObjRef(Simple_AB_Poller_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_Simple_AB_Poller_IntfRepoID,37,s);
    }

    static inline Simple_AB_Poller_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_Simple_AB_Poller_IntfRepoID,s);
      Simple_AB_Poller_ptr _result = ABng_Poller::Simple_AB_Poller::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Simple_AB_Poller_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_Simple_AB_Poller_IntfRepoID,37,s);
    }

    static inline Simple_AB_Poller_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_Simple_AB_Poller_IntfRepoID,s);
      Simple_AB_Poller_ptr _result = ABng_Poller::Simple_AB_Poller::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Simple_AB_Poller() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_Simple_AB_Poller_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Simple_AB_Poller() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Simple_AB_Poller(const Simple_AB_Poller&);
    Simple_AB_Poller &operator=(const Simple_AB_Poller&);
  };

  class _sk_Simple_AB_Poller :  public virtual Simple_AB_Poller {
  public:

    _sk_Simple_AB_Poller() {}
    _sk_Simple_AB_Poller(const omniORB::objectKey& k);
    virtual ~_sk_Simple_AB_Poller() {}
    Simple_AB_Poller_ptr _this() { return Simple_AB_Poller::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual char *  name ()  = 0;
    virtual CORBA::Boolean  click_counting_flag ()  = 0;
    virtual void click_counting_flag (CORBA::Boolean  _value) = 0;
    virtual CORBA::UShort  max_clicks ()  = 0;
    virtual void max_clicks (CORBA::UShort  _value) = 0;
    virtual CORBA::UShort  click_timeout ()  = 0;
    virtual void click_timeout (CORBA::UShort  _value) = 0;
    virtual CORBA::UShort  delay ()  = 0;
    virtual void delay (CORBA::UShort  _value) = 0;
    virtual CORBA::Boolean  attach_observer ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual CORBA::Boolean  detach_observer ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual CORBA::Boolean  attach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ) = 0;
    virtual CORBA::Boolean  detach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ) = 0;
    virtual CORBA::Boolean  detach_observer_all ( Simple_AB_Observer_ptr  obs ) = 0;
    virtual void issue_command ( const Message & cmd ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Simple_AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Simple_AB_Poller (const _sk_Simple_AB_Poller&);
    _sk_Simple_AB_Poller &operator=(const _sk_Simple_AB_Poller&);
  };

  class _proxy_Simple_AB_Poller :  public virtual Simple_AB_Poller {
  public:

    _proxy_Simple_AB_Poller (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_Simple_AB_Poller_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Simple_AB_Poller() {}
    virtual char *  name () ;
    virtual CORBA::Boolean  click_counting_flag () ;
    virtual void click_counting_flag (CORBA::Boolean  _value);
    virtual CORBA::UShort  max_clicks () ;
    virtual void max_clicks (CORBA::UShort  _value);
    virtual CORBA::UShort  click_timeout () ;
    virtual void click_timeout (CORBA::UShort  _value);
    virtual CORBA::UShort  delay () ;
    virtual void delay (CORBA::UShort  _value);
    virtual CORBA::Boolean  attach_observer ( Simple_AB_Observer_ptr  obs );
    virtual CORBA::Boolean  detach_observer ( Simple_AB_Observer_ptr  obs );
    virtual CORBA::Boolean  attach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type );
    virtual CORBA::Boolean  detach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type );
    virtual CORBA::Boolean  detach_observer_all ( Simple_AB_Observer_ptr  obs );
    virtual void issue_command ( const Message & cmd );

  protected:

    _proxy_Simple_AB_Poller () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Simple_AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Simple_AB_Poller (const _proxy_Simple_AB_Poller&);
    _proxy_Simple_AB_Poller &operator=(const _proxy_Simple_AB_Poller&);
  };

  class _nil_Simple_AB_Poller :   public virtual Simple_AB_Poller {
  public:
    _nil_Simple_AB_Poller() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Simple_AB_Poller() {}
    char *  name ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      char * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Boolean  click_counting_flag ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void click_counting_flag (CORBA::Boolean  _value) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }

    CORBA::UShort  max_clicks ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::UShort _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void max_clicks (CORBA::UShort  _value) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }

    CORBA::UShort  click_timeout ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::UShort _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void click_timeout (CORBA::UShort  _value) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }

    CORBA::UShort  delay ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::UShort _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void delay (CORBA::UShort  _value) {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
    }

    CORBA::Boolean  attach_observer ( Simple_AB_Observer_ptr  obs ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Boolean  detach_observer ( Simple_AB_Observer_ptr  obs ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Boolean  attach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Boolean  detach_type_observer ( Simple_AB_Observer_ptr  obs, CORBA::Short  type ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Boolean  detach_observer_all ( Simple_AB_Observer_ptr  obs ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Boolean _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void issue_command ( const Message & cmd ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Simple_AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Simple_AB_Poller_proxyObjectFactory : public proxyObjectFactory {
  public:
    Simple_AB_Poller_proxyObjectFactory () {}
    virtual ~Simple_AB_Poller_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Simple_AB_Poller_ptr _nil() {
      if (!__nil_Simple_AB_Poller) {
        __nil_Simple_AB_Poller = new _nil_Simple_AB_Poller;
      }
      return __nil_Simple_AB_Poller;
    }
  private:
    static Simple_AB_Poller_ptr __nil_Simple_AB_Poller;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Simple_AB_Poller;

#ifndef __ABng_Poller_AB_Poller__
#define __ABng_Poller_AB_Poller__
  class   AB_Poller;
  typedef AB_Poller* AB_Poller_ptr;
  typedef AB_Poller_ptr AB_PollerRef;

  class AB_Poller_Helper {
    public:
    static AB_Poller_ptr _nil();
    static CORBA::Boolean is_nil(AB_Poller_ptr p);
    static void release(AB_Poller_ptr p);
    static void duplicate(AB_Poller_ptr p);
    static size_t NP_alignedSize(AB_Poller_ptr obj,size_t initialoffset);
    static void marshalObjRef(AB_Poller_ptr obj,NetBufferedStream &s);
    static AB_Poller_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(AB_Poller_ptr obj,MemBufferedStream &s);
    static AB_Poller_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<AB_Poller,AB_Poller_Helper> AB_Poller_var;

#endif
#define ABng_Poller_AB_Poller_IntfRepoID "IDL:ABng_Poller/AB_Poller:1.0"

  class AB_Poller :  public virtual Simple_AB_Poller {
  public:

    static _LC_attr const CORBA::TypeCode_ptr _tc_Sighting_Code;
    typedef CORBA::UShort Sighting_Code;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Byte;
    typedef CORBA::Octet Byte;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Network_Id;
    typedef CORBA::Octet Network_Id;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Station_Id;
    typedef CORBA::Octet Station_Id;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Seq_Number;
    typedef CORBA::Octet Seq_Number;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Octets;
    typedef _CORBA_Unbounded_Sequence__Octet Octets;
    typedef _CORBA_Sequence_Var<Octets, CORBA::Octet > Octets_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Badge_Id;
    typedef _CORBA_Unbounded_Sequence__Octet Badge_Id;
    typedef _CORBA_Sequence_Var<Badge_Id, CORBA::Octet > Badge_Id_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Address;
    typedef _CORBA_Unbounded_Sequence__Octet Address;
    typedef _CORBA_Sequence_Var<Address, CORBA::Octet > Address_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Tones;
    typedef _CORBA_Unbounded_Sequence__Octet Tones;
    typedef _CORBA_Sequence_Var<Tones, CORBA::Octet > Tones_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Field_Id;
    typedef _CORBA_Unbounded_Sequence__Octet Field_Id;
    typedef _CORBA_Sequence_Var<Field_Id, CORBA::Octet > Field_Id_var;

    struct Time_Stamp {
      CORBA::ULong sec;
      CORBA::ULong usec;
      
      size_t NP_alignedSize(size_t initialoffset) const;
      void operator>>= (NetBufferedStream &) const;
      void operator<<= (NetBufferedStream &);
      void operator>>= (MemBufferedStream &) const;
      void operator<<= (MemBufferedStream &);
    };

    typedef _CORBA_ConstrType_Fix_Var<Time_Stamp> Time_Stamp_var;

    static _LC_attr const CORBA::TypeCode_ptr _tc_Time_Stamp;

    static _LC_attr const CORBA::UShort PERIODIC_BROADCAST _init_in_cldecl_(  = 128 );
    static _LC_attr const CORBA::UShort MIDDLE_BUTTON _init_in_cldecl_(  = 129 );
    static _LC_attr const CORBA::UShort SIDE_BUTTON _init_in_cldecl_(  = 130 );
    static _LC_attr const CORBA::UShort BADGE_IN_FIELD _init_in_cldecl_(  = 132 );
    static _LC_attr const CORBA::UShort MIDDLE_BUTTON_IN_FIELD _init_in_cldecl_(  = 133 );
    static _LC_attr const CORBA::UShort SIDE_BUTTON_IN_FIELD _init_in_cldecl_(  = 134 );
    static _LC_attr const CORBA::UShort BADGE_IN_UNRECOGNISED_FIELD _init_in_cldecl_(  = 136 );
    static _LC_attr const CORBA::UShort MIDDLE_BUTTON_IN_UNRECOGNISED_FIELD _init_in_cldecl_(  = 137 );
    static _LC_attr const CORBA::UShort SIDE_BUTTON_IN_UNRECOGNISED_FIELD _init_in_cldecl_(  = 138 );
    virtual void challenge ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Octets & random, Seq_Number  seq ) = 0;
    virtual void sound ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Tones & melody, Seq_Number  seq ) = 0;
    virtual void set_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Byte  status, const Tones & melody, Seq_Number  seq ) = 0;
    virtual void get_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ) = 0;
    virtual void set_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Address & addr, Seq_Number  seq ) = 0;
    virtual void get_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ) = 0;
    virtual void reset_buffer ( Network_Id  network, Station_Id  station ) = 0;
    virtual void reset_fifos ( Network_Id  network, Station_Id  station ) = 0;
    virtual void get_station_state ( Network_Id  network, Station_Id  station ) = 0;
    virtual void set_output ( Network_Id  network, Station_Id  station, Byte  output_value ) = 0;
    virtual void set_persistence ( Network_Id  network, Station_Id  station, CORBA::Boolean  per_mode_value ) = 0;
    virtual void broadcast ( Network_Id  network, Station_Id  station, const Octets & data ) = 0;
    static AB_Poller_ptr _duplicate(AB_Poller_ptr);
    static AB_Poller_ptr _narrow(CORBA::Object_ptr);
    static AB_Poller_ptr _nil();

    static inline size_t NP_alignedSize(AB_Poller_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_AB_Poller_IntfRepoID,30,initialoffset);
    }

    static inline void marshalObjRef(AB_Poller_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Poller_IntfRepoID,30,s);
    }

    static inline AB_Poller_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Poller_IntfRepoID,s);
      AB_Poller_ptr _result = ABng_Poller::AB_Poller::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(AB_Poller_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Poller_IntfRepoID,30,s);
    }

    static inline AB_Poller_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Poller_IntfRepoID,s);
      AB_Poller_ptr _result = ABng_Poller::AB_Poller::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    AB_Poller() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_AB_Poller_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~AB_Poller() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    AB_Poller(const AB_Poller&);
    AB_Poller &operator=(const AB_Poller&);
  };

  class _sk_AB_Poller :  public virtual _sk_Simple_AB_Poller, public virtual AB_Poller {
  public:

    _sk_AB_Poller() {}
    _sk_AB_Poller(const omniORB::objectKey& k);
    virtual ~_sk_AB_Poller() {}
    AB_Poller_ptr _this() { return AB_Poller::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void challenge ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Octets & random, Seq_Number  seq ) = 0;
    virtual void sound ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Tones & melody, Seq_Number  seq ) = 0;
    virtual void set_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Byte  status, const Tones & melody, Seq_Number  seq ) = 0;
    virtual void get_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ) = 0;
    virtual void set_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Address & addr, Seq_Number  seq ) = 0;
    virtual void get_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ) = 0;
    virtual void reset_buffer ( Network_Id  network, Station_Id  station ) = 0;
    virtual void reset_fifos ( Network_Id  network, Station_Id  station ) = 0;
    virtual void get_station_state ( Network_Id  network, Station_Id  station ) = 0;
    virtual void set_output ( Network_Id  network, Station_Id  station, Byte  output_value ) = 0;
    virtual void set_persistence ( Network_Id  network, Station_Id  station, CORBA::Boolean  per_mode_value ) = 0;
    virtual void broadcast ( Network_Id  network, Station_Id  station, const Octets & data ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_AB_Poller (const _sk_AB_Poller&);
    _sk_AB_Poller &operator=(const _sk_AB_Poller&);
  };

  class _proxy_AB_Poller :  public virtual _proxy_Simple_AB_Poller, public virtual AB_Poller {
  public:

    _proxy_AB_Poller (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_AB_Poller_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_AB_Poller() {}
    virtual void challenge ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Octets & random, Seq_Number  seq );
    virtual void sound ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Tones & melody, Seq_Number  seq );
    virtual void set_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Byte  status, const Tones & melody, Seq_Number  seq );
    virtual void get_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq );
    virtual void set_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Address & addr, Seq_Number  seq );
    virtual void get_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq );
    virtual void reset_buffer ( Network_Id  network, Station_Id  station );
    virtual void reset_fifos ( Network_Id  network, Station_Id  station );
    virtual void get_station_state ( Network_Id  network, Station_Id  station );
    virtual void set_output ( Network_Id  network, Station_Id  station, Byte  output_value );
    virtual void set_persistence ( Network_Id  network, Station_Id  station, CORBA::Boolean  per_mode_value );
    virtual void broadcast ( Network_Id  network, Station_Id  station, const Octets & data );

  protected:

    _proxy_AB_Poller () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_AB_Poller (const _proxy_AB_Poller&);
    _proxy_AB_Poller &operator=(const _proxy_AB_Poller&);
  };

  class _nil_AB_Poller :  public virtual _nil_Simple_AB_Poller,   public virtual AB_Poller {
  public:
    _nil_AB_Poller() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_AB_Poller() {}
    void challenge ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Octets & random, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void sound ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Tones & melody, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Byte  status, const Tones & melody, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_state ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, const Address & addr, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_home ( Network_Id  network, Station_Id  station, const Badge_Id & badge, Seq_Number  seq ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void reset_buffer ( Network_Id  network, Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void reset_fifos ( Network_Id  network, Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_station_state ( Network_Id  network, Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_output ( Network_Id  network, Station_Id  station, Byte  output_value ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_persistence ( Network_Id  network, Station_Id  station, CORBA::Boolean  per_mode_value ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void broadcast ( Network_Id  network, Station_Id  station, const Octets & data ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Poller::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class AB_Poller_proxyObjectFactory : public proxyObjectFactory {
  public:
    AB_Poller_proxyObjectFactory () {}
    virtual ~AB_Poller_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static AB_Poller_ptr _nil() {
      if (!__nil_AB_Poller) {
        __nil_AB_Poller = new _nil_AB_Poller;
      }
      return __nil_AB_Poller;
    }
  private:
    static AB_Poller_ptr __nil_AB_Poller;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_AB_Poller;

#ifndef __ABng_Poller_AB_Poller_V2__
#define __ABng_Poller_AB_Poller_V2__
  class   AB_Poller_V2;
  typedef AB_Poller_V2* AB_Poller_V2_ptr;
  typedef AB_Poller_V2_ptr AB_Poller_V2Ref;

  class AB_Poller_V2_Helper {
    public:
    static AB_Poller_V2_ptr _nil();
    static CORBA::Boolean is_nil(AB_Poller_V2_ptr p);
    static void release(AB_Poller_V2_ptr p);
    static void duplicate(AB_Poller_V2_ptr p);
    static size_t NP_alignedSize(AB_Poller_V2_ptr obj,size_t initialoffset);
    static void marshalObjRef(AB_Poller_V2_ptr obj,NetBufferedStream &s);
    static AB_Poller_V2_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(AB_Poller_V2_ptr obj,MemBufferedStream &s);
    static AB_Poller_V2_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<AB_Poller_V2,AB_Poller_V2_Helper> AB_Poller_V2_var;

#endif
#define ABng_Poller_AB_Poller_V2_IntfRepoID "IDL:ABng_Poller/AB_Poller_V2:1.0"

  class AB_Poller_V2 :  public virtual AB_Poller {
  public:

    static _LC_attr const CORBA::TypeCode_ptr _tc_Speed;
    typedef CORBA::UShort Speed;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Stop;
    typedef CORBA::UShort Stop;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Parity;
    typedef CORBA::UShort Parity;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Chars;
    typedef CORBA::UShort Chars;
    static _LC_attr const CORBA::TypeCode_ptr _tc_Mode;
    typedef CORBA::UShort Mode;
    static _LC_attr const CORBA::UShort BAUD_1200 _init_in_cldecl_(  = 1 );
    static _LC_attr const CORBA::UShort BAUD_2400 _init_in_cldecl_(  = 2 );
    static _LC_attr const CORBA::UShort BAUD_4800 _init_in_cldecl_(  = 3 );
    static _LC_attr const CORBA::UShort BAUD_9600 _init_in_cldecl_(  = 4 );
    static _LC_attr const CORBA::UShort BAUD_19200 _init_in_cldecl_(  = 5 );
    static _LC_attr const CORBA::UShort BAUD_38400 _init_in_cldecl_(  = 6 );
    static _LC_attr const CORBA::UShort BAUD_64800 _init_in_cldecl_(  = 7 );
    static _LC_attr const CORBA::UShort STOP_BIT_1 _init_in_cldecl_(  = 1 );
    static _LC_attr const CORBA::UShort STOP_BIT_1_5 _init_in_cldecl_(  = 2 );
    static _LC_attr const CORBA::UShort STOP_BIT_2 _init_in_cldecl_(  = 3 );
    static _LC_attr const CORBA::UShort NO_PARITY _init_in_cldecl_(  = 1 );
    static _LC_attr const CORBA::UShort EVEN_PARITY _init_in_cldecl_(  = 2 );
    static _LC_attr const CORBA::UShort ODD_PARITY _init_in_cldecl_(  = 3 );
    static _LC_attr const CORBA::UShort MODE1 _init_in_cldecl_(  = 1 );
    static _LC_attr const CORBA::UShort MODE2 _init_in_cldecl_(  = 2 );
    static _LC_attr const CORBA::UShort MODE3 _init_in_cldecl_(  = 3 );
    static _LC_attr const CORBA::UShort MODE4 _init_in_cldecl_(  = 4 );
    static _LC_attr const CORBA::UShort MODE5 _init_in_cldecl_(  = 5 );
    virtual void get_output ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void configure ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Speed  speed_value, Stop  stop_value, Parity  parity_value, AB_Poller::Byte  chars_value ) = 0;
    virtual void autodiagnostic ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void go_off_line ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void broadoff ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void sensor_config ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Mode  mode_value ) = 0;
    virtual void poll ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    static AB_Poller_V2_ptr _duplicate(AB_Poller_V2_ptr);
    static AB_Poller_V2_ptr _narrow(CORBA::Object_ptr);
    static AB_Poller_V2_ptr _nil();

    static inline size_t NP_alignedSize(AB_Poller_V2_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_AB_Poller_V2_IntfRepoID,33,initialoffset);
    }

    static inline void marshalObjRef(AB_Poller_V2_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Poller_V2_IntfRepoID,33,s);
    }

    static inline AB_Poller_V2_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Poller_V2_IntfRepoID,s);
      AB_Poller_V2_ptr _result = ABng_Poller::AB_Poller_V2::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(AB_Poller_V2_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Poller_V2_IntfRepoID,33,s);
    }

    static inline AB_Poller_V2_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Poller_V2_IntfRepoID,s);
      AB_Poller_V2_ptr _result = ABng_Poller::AB_Poller_V2::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    AB_Poller_V2() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_AB_Poller_V2_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~AB_Poller_V2() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    AB_Poller_V2(const AB_Poller_V2&);
    AB_Poller_V2 &operator=(const AB_Poller_V2&);
  };

  class _sk_AB_Poller_V2 :  public virtual _sk_AB_Poller, public virtual AB_Poller_V2 {
  public:

    _sk_AB_Poller_V2() {}
    _sk_AB_Poller_V2(const omniORB::objectKey& k);
    virtual ~_sk_AB_Poller_V2() {}
    AB_Poller_V2_ptr _this() { return AB_Poller_V2::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void get_output ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void configure ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Speed  speed_value, Stop  stop_value, Parity  parity_value, AB_Poller::Byte  chars_value ) = 0;
    virtual void autodiagnostic ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void go_off_line ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void broadoff ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual void sensor_config ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Mode  mode_value ) = 0;
    virtual void poll ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Poller_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_AB_Poller_V2 (const _sk_AB_Poller_V2&);
    _sk_AB_Poller_V2 &operator=(const _sk_AB_Poller_V2&);
  };

  class _proxy_AB_Poller_V2 :  public virtual _proxy_AB_Poller, public virtual AB_Poller_V2 {
  public:

    _proxy_AB_Poller_V2 (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_AB_Poller_V2_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_AB_Poller_V2() {}
    virtual void get_output ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station );
    virtual void configure ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Speed  speed_value, Stop  stop_value, Parity  parity_value, AB_Poller::Byte  chars_value );
    virtual void autodiagnostic ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station );
    virtual void go_off_line ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station );
    virtual void broadoff ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station );
    virtual void sensor_config ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Mode  mode_value );
    virtual void poll ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station );

  protected:

    _proxy_AB_Poller_V2 () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return AB_Poller_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_AB_Poller_V2 (const _proxy_AB_Poller_V2&);
    _proxy_AB_Poller_V2 &operator=(const _proxy_AB_Poller_V2&);
  };

  class _nil_AB_Poller_V2 :  public virtual _nil_AB_Poller,   public virtual AB_Poller_V2 {
  public:
    _nil_AB_Poller_V2() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_AB_Poller_V2() {}
    void get_output ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void configure ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Speed  speed_value, Stop  stop_value, Parity  parity_value, AB_Poller::Byte  chars_value ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void autodiagnostic ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void go_off_line ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void broadoff ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void sensor_config ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, Mode  mode_value ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void poll ( AB_Poller::Network_Id  network, AB_Poller::Station_Id  station ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Poller_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class AB_Poller_V2_proxyObjectFactory : public proxyObjectFactory {
  public:
    AB_Poller_V2_proxyObjectFactory () {}
    virtual ~AB_Poller_V2_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static AB_Poller_V2_ptr _nil() {
      if (!__nil_AB_Poller_V2) {
        __nil_AB_Poller_V2 = new _nil_AB_Poller_V2;
      }
      return __nil_AB_Poller_V2;
    }
  private:
    static AB_Poller_V2_ptr __nil_AB_Poller_V2;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_AB_Poller_V2;

#ifndef __ABng_Poller_Simple_AB_Observer__
#define __ABng_Poller_Simple_AB_Observer__
  class   Simple_AB_Observer;
  typedef Simple_AB_Observer* Simple_AB_Observer_ptr;
  typedef Simple_AB_Observer_ptr Simple_AB_ObserverRef;

  class Simple_AB_Observer_Helper {
    public:
    static Simple_AB_Observer_ptr _nil();
    static CORBA::Boolean is_nil(Simple_AB_Observer_ptr p);
    static void release(Simple_AB_Observer_ptr p);
    static void duplicate(Simple_AB_Observer_ptr p);
    static size_t NP_alignedSize(Simple_AB_Observer_ptr obj,size_t initialoffset);
    static void marshalObjRef(Simple_AB_Observer_ptr obj,NetBufferedStream &s);
    static Simple_AB_Observer_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Simple_AB_Observer_ptr obj,MemBufferedStream &s);
    static Simple_AB_Observer_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Simple_AB_Observer,Simple_AB_Observer_Helper> Simple_AB_Observer_var;

#endif
#define ABng_Poller_Simple_AB_Observer_IntfRepoID "IDL:ABng_Poller/Simple_AB_Observer:1.0"

  class Simple_AB_Observer : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual void receive ( const char *  network_group_name, const Simple_AB_Poller::Message & msg ) = 0;
    static Simple_AB_Observer_ptr _duplicate(Simple_AB_Observer_ptr);
    static Simple_AB_Observer_ptr _narrow(CORBA::Object_ptr);
    static Simple_AB_Observer_ptr _nil();

    static inline size_t NP_alignedSize(Simple_AB_Observer_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_Simple_AB_Observer_IntfRepoID,39,initialoffset);
    }

    static inline void marshalObjRef(Simple_AB_Observer_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_Simple_AB_Observer_IntfRepoID,39,s);
    }

    static inline Simple_AB_Observer_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_Simple_AB_Observer_IntfRepoID,s);
      Simple_AB_Observer_ptr _result = ABng_Poller::Simple_AB_Observer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Simple_AB_Observer_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_Simple_AB_Observer_IntfRepoID,39,s);
    }

    static inline Simple_AB_Observer_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_Simple_AB_Observer_IntfRepoID,s);
      Simple_AB_Observer_ptr _result = ABng_Poller::Simple_AB_Observer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Simple_AB_Observer() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_Simple_AB_Observer_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Simple_AB_Observer() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Simple_AB_Observer(const Simple_AB_Observer&);
    Simple_AB_Observer &operator=(const Simple_AB_Observer&);
  };

  class _sk_Simple_AB_Observer :  public virtual Simple_AB_Observer {
  public:

    _sk_Simple_AB_Observer() {}
    _sk_Simple_AB_Observer(const omniORB::objectKey& k);
    virtual ~_sk_Simple_AB_Observer() {}
    Simple_AB_Observer_ptr _this() { return Simple_AB_Observer::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void receive ( const char *  network_group_name, const Simple_AB_Poller::Message & msg ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Simple_AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Simple_AB_Observer (const _sk_Simple_AB_Observer&);
    _sk_Simple_AB_Observer &operator=(const _sk_Simple_AB_Observer&);
  };

  class _proxy_Simple_AB_Observer :  public virtual Simple_AB_Observer {
  public:

    _proxy_Simple_AB_Observer (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_Simple_AB_Observer_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Simple_AB_Observer() {}
    virtual void receive ( const char *  network_group_name, const Simple_AB_Poller::Message & msg );

  protected:

    _proxy_Simple_AB_Observer () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Simple_AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Simple_AB_Observer (const _proxy_Simple_AB_Observer&);
    _proxy_Simple_AB_Observer &operator=(const _proxy_Simple_AB_Observer&);
  };

  class _nil_Simple_AB_Observer :   public virtual Simple_AB_Observer {
  public:
    _nil_Simple_AB_Observer() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Simple_AB_Observer() {}
    void receive ( const char *  network_group_name, const Simple_AB_Poller::Message & msg ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Simple_AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Simple_AB_Observer_proxyObjectFactory : public proxyObjectFactory {
  public:
    Simple_AB_Observer_proxyObjectFactory () {}
    virtual ~Simple_AB_Observer_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Simple_AB_Observer_ptr _nil() {
      if (!__nil_Simple_AB_Observer) {
        __nil_Simple_AB_Observer = new _nil_Simple_AB_Observer;
      }
      return __nil_Simple_AB_Observer;
    }
  private:
    static Simple_AB_Observer_ptr __nil_Simple_AB_Observer;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Simple_AB_Observer;

#ifndef __ABng_Poller_AB_Observer__
#define __ABng_Poller_AB_Observer__
  class   AB_Observer;
  typedef AB_Observer* AB_Observer_ptr;
  typedef AB_Observer_ptr AB_ObserverRef;

  class AB_Observer_Helper {
    public:
    static AB_Observer_ptr _nil();
    static CORBA::Boolean is_nil(AB_Observer_ptr p);
    static void release(AB_Observer_ptr p);
    static void duplicate(AB_Observer_ptr p);
    static size_t NP_alignedSize(AB_Observer_ptr obj,size_t initialoffset);
    static void marshalObjRef(AB_Observer_ptr obj,NetBufferedStream &s);
    static AB_Observer_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(AB_Observer_ptr obj,MemBufferedStream &s);
    static AB_Observer_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<AB_Observer,AB_Observer_Helper> AB_Observer_var;

#endif
#define ABng_Poller_AB_Observer_IntfRepoID "IDL:ABng_Poller/AB_Observer:1.0"

  class AB_Observer :  public virtual Simple_AB_Observer {
  public:

    virtual void sighting ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Sighting_Code  code, const AB_Poller::Field_Id & field, AB_Poller::Byte  click_num, AB_Poller::Byte  attributes, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void challenge_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Octets & random, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void sound_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void set_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  status, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void set_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_station_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status1, AB_Poller::Byte  status2, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void null_message ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Time_Stamp & ts ) = 0;
    static AB_Observer_ptr _duplicate(AB_Observer_ptr);
    static AB_Observer_ptr _narrow(CORBA::Object_ptr);
    static AB_Observer_ptr _nil();

    static inline size_t NP_alignedSize(AB_Observer_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_AB_Observer_IntfRepoID,32,initialoffset);
    }

    static inline void marshalObjRef(AB_Observer_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Observer_IntfRepoID,32,s);
    }

    static inline AB_Observer_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Observer_IntfRepoID,s);
      AB_Observer_ptr _result = ABng_Poller::AB_Observer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(AB_Observer_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Observer_IntfRepoID,32,s);
    }

    static inline AB_Observer_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Observer_IntfRepoID,s);
      AB_Observer_ptr _result = ABng_Poller::AB_Observer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    AB_Observer() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_AB_Observer_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~AB_Observer() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    AB_Observer(const AB_Observer&);
    AB_Observer &operator=(const AB_Observer&);
  };

  class _sk_AB_Observer :  public virtual _sk_Simple_AB_Observer, public virtual AB_Observer {
  public:

    _sk_AB_Observer() {}
    _sk_AB_Observer(const omniORB::objectKey& k);
    virtual ~_sk_AB_Observer() {}
    AB_Observer_ptr _this() { return AB_Observer::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void sighting ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Sighting_Code  code, const AB_Poller::Field_Id & field, AB_Poller::Byte  click_num, AB_Poller::Byte  attributes, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void challenge_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Octets & random, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void sound_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void set_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  status, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void set_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void get_station_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status1, AB_Poller::Byte  status2, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void null_message ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_AB_Observer (const _sk_AB_Observer&);
    _sk_AB_Observer &operator=(const _sk_AB_Observer&);
  };

  class _proxy_AB_Observer :  public virtual _proxy_Simple_AB_Observer, public virtual AB_Observer {
  public:

    _proxy_AB_Observer (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_AB_Observer_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_AB_Observer() {}
    virtual void sighting ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Sighting_Code  code, const AB_Poller::Field_Id & field, AB_Poller::Byte  click_num, AB_Poller::Byte  attributes, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void challenge_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Octets & random, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void sound_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void set_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  status, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void get_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void set_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void get_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts );
    virtual void get_station_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status1, AB_Poller::Byte  status2, const AB_Poller::Time_Stamp & ts );
    virtual void null_message ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Time_Stamp & ts );

  protected:

    _proxy_AB_Observer () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_AB_Observer (const _proxy_AB_Observer&);
    _proxy_AB_Observer &operator=(const _proxy_AB_Observer&);
  };

  class _nil_AB_Observer :  public virtual _nil_Simple_AB_Observer,   public virtual AB_Observer {
  public:
    _nil_AB_Observer() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_AB_Observer() {}
    void sighting ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Sighting_Code  code, const AB_Poller::Field_Id & field, AB_Poller::Byte  click_num, AB_Poller::Byte  attributes, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void challenge_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Octets & random, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void sound_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  status, const AB_Poller::Tones & sound, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void set_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_home_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Badge_Id & badge, const AB_Poller::Address & address, AB_Poller::Seq_Number  seq, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void get_station_state_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  major_version, AB_Poller::Byte  minor_version, AB_Poller::Byte  status1, AB_Poller::Byte  status2, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void null_message ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Observer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class AB_Observer_proxyObjectFactory : public proxyObjectFactory {
  public:
    AB_Observer_proxyObjectFactory () {}
    virtual ~AB_Observer_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static AB_Observer_ptr _nil() {
      if (!__nil_AB_Observer) {
        __nil_AB_Observer = new _nil_AB_Observer;
      }
      return __nil_AB_Observer;
    }
  private:
    static AB_Observer_ptr __nil_AB_Observer;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_AB_Observer;

#ifndef __ABng_Poller_AB_Observer_V2__
#define __ABng_Poller_AB_Observer_V2__
  class   AB_Observer_V2;
  typedef AB_Observer_V2* AB_Observer_V2_ptr;
  typedef AB_Observer_V2_ptr AB_Observer_V2Ref;

  class AB_Observer_V2_Helper {
    public:
    static AB_Observer_V2_ptr _nil();
    static CORBA::Boolean is_nil(AB_Observer_V2_ptr p);
    static void release(AB_Observer_V2_ptr p);
    static void duplicate(AB_Observer_V2_ptr p);
    static size_t NP_alignedSize(AB_Observer_V2_ptr obj,size_t initialoffset);
    static void marshalObjRef(AB_Observer_V2_ptr obj,NetBufferedStream &s);
    static AB_Observer_V2_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(AB_Observer_V2_ptr obj,MemBufferedStream &s);
    static AB_Observer_V2_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<AB_Observer_V2,AB_Observer_V2_Helper> AB_Observer_V2_var;

#endif
#define ABng_Poller_AB_Observer_V2_IntfRepoID "IDL:ABng_Poller/AB_Observer_V2:1.0"

  class AB_Observer_V2 :  public virtual AB_Observer {
  public:

    virtual void get_output_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  port, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void autodiagnostic_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  result, const AB_Poller::Time_Stamp & ts ) = 0;
    static AB_Observer_V2_ptr _duplicate(AB_Observer_V2_ptr);
    static AB_Observer_V2_ptr _narrow(CORBA::Object_ptr);
    static AB_Observer_V2_ptr _nil();

    static inline size_t NP_alignedSize(AB_Observer_V2_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Poller_AB_Observer_V2_IntfRepoID,35,initialoffset);
    }

    static inline void marshalObjRef(AB_Observer_V2_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Observer_V2_IntfRepoID,35,s);
    }

    static inline AB_Observer_V2_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Observer_V2_IntfRepoID,s);
      AB_Observer_V2_ptr _result = ABng_Poller::AB_Observer_V2::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(AB_Observer_V2_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Poller_AB_Observer_V2_IntfRepoID,35,s);
    }

    static inline AB_Observer_V2_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Poller_AB_Observer_V2_IntfRepoID,s);
      AB_Observer_V2_ptr _result = ABng_Poller::AB_Observer_V2::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    AB_Observer_V2() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Poller_AB_Observer_V2_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~AB_Observer_V2() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    AB_Observer_V2(const AB_Observer_V2&);
    AB_Observer_V2 &operator=(const AB_Observer_V2&);
  };

  class _sk_AB_Observer_V2 :  public virtual _sk_AB_Observer, public virtual AB_Observer_V2 {
  public:

    _sk_AB_Observer_V2() {}
    _sk_AB_Observer_V2(const omniORB::objectKey& k);
    virtual ~_sk_AB_Observer_V2() {}
    AB_Observer_V2_ptr _this() { return AB_Observer_V2::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void get_output_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  port, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual void autodiagnostic_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  result, const AB_Poller::Time_Stamp & ts ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Observer_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_AB_Observer_V2 (const _sk_AB_Observer_V2&);
    _sk_AB_Observer_V2 &operator=(const _sk_AB_Observer_V2&);
  };

  class _proxy_AB_Observer_V2 :  public virtual _proxy_AB_Observer, public virtual AB_Observer_V2 {
  public:

    _proxy_AB_Observer_V2 (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Poller_AB_Observer_V2_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_AB_Observer_V2() {}
    virtual void get_output_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  port, const AB_Poller::Time_Stamp & ts );
    virtual void autodiagnostic_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  result, const AB_Poller::Time_Stamp & ts );

  protected:

    _proxy_AB_Observer_V2 () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return AB_Observer_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_AB_Observer_V2 (const _proxy_AB_Observer_V2&);
    _proxy_AB_Observer_V2 &operator=(const _proxy_AB_Observer_V2&);
  };

  class _nil_AB_Observer_V2 :  public virtual _nil_AB_Observer,   public virtual AB_Observer_V2 {
  public:
    _nil_AB_Observer_V2() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_AB_Observer_V2() {}
    void get_output_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  port, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void autodiagnostic_reply ( const char *  network_group_name, AB_Poller::Network_Id  network, AB_Poller::Station_Id  station, AB_Poller::Byte  result, const AB_Poller::Time_Stamp & ts ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return AB_Observer_V2::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class AB_Observer_V2_proxyObjectFactory : public proxyObjectFactory {
  public:
    AB_Observer_V2_proxyObjectFactory () {}
    virtual ~AB_Observer_V2_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static AB_Observer_V2_ptr _nil() {
      if (!__nil_AB_Observer_V2) {
        __nil_AB_Observer_V2 = new _nil_AB_Observer_V2;
      }
      return __nil_AB_Observer_V2;
    }
  private:
    static AB_Observer_V2_ptr __nil_AB_Observer_V2;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_AB_Observer_V2;


_CORBA_MODULE_END


_CORBA_MODULE ABng_Core_System

_CORBA_MODULE_BEG

#ifndef __ABng_Core_System_Scheduler__
#define __ABng_Core_System_Scheduler__
  class   Scheduler;
  typedef Scheduler* Scheduler_ptr;
  typedef Scheduler_ptr SchedulerRef;

  class Scheduler_Helper {
    public:
    static Scheduler_ptr _nil();
    static CORBA::Boolean is_nil(Scheduler_ptr p);
    static void release(Scheduler_ptr p);
    static void duplicate(Scheduler_ptr p);
    static size_t NP_alignedSize(Scheduler_ptr obj,size_t initialoffset);
    static void marshalObjRef(Scheduler_ptr obj,NetBufferedStream &s);
    static Scheduler_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Scheduler_ptr obj,MemBufferedStream &s);
    static Scheduler_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Scheduler,Scheduler_Helper> Scheduler_var;

#endif
#define ABng_Core_System_Scheduler_IntfRepoID "IDL:ABng_Core_System/Scheduler:1.0"

  class Scheduler :  public virtual ABng_Poller::AB_Observer {
  public:

    static Scheduler_ptr _duplicate(Scheduler_ptr);
    static Scheduler_ptr _narrow(CORBA::Object_ptr);
    static Scheduler_ptr _nil();

    static inline size_t NP_alignedSize(Scheduler_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Core_System_Scheduler_IntfRepoID,35,initialoffset);
    }

    static inline void marshalObjRef(Scheduler_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Core_System_Scheduler_IntfRepoID,35,s);
    }

    static inline Scheduler_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Core_System_Scheduler_IntfRepoID,s);
      Scheduler_ptr _result = ABng_Core_System::Scheduler::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Scheduler_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Core_System_Scheduler_IntfRepoID,35,s);
    }

    static inline Scheduler_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Core_System_Scheduler_IntfRepoID,s);
      Scheduler_ptr _result = ABng_Core_System::Scheduler::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Scheduler() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Core_System_Scheduler_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Scheduler() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Scheduler(const Scheduler&);
    Scheduler &operator=(const Scheduler&);
  };

  class _sk_Scheduler :  public virtual ABng_Poller::_sk_AB_Observer, public virtual Scheduler {
  public:

    _sk_Scheduler() {}
    _sk_Scheduler(const omniORB::objectKey& k);
    virtual ~_sk_Scheduler() {}
    Scheduler_ptr _this() { return Scheduler::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Scheduler::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Scheduler (const _sk_Scheduler&);
    _sk_Scheduler &operator=(const _sk_Scheduler&);
  };

  class _proxy_Scheduler :  public virtual ABng_Poller::_proxy_AB_Observer, public virtual Scheduler {
  public:

    _proxy_Scheduler (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Core_System_Scheduler_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Scheduler() {}

  protected:

    _proxy_Scheduler () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Scheduler::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Scheduler (const _proxy_Scheduler&);
    _proxy_Scheduler &operator=(const _proxy_Scheduler&);
  };

  class _nil_Scheduler :  public virtual ABng_Poller::_nil_AB_Observer,   public virtual Scheduler {
  public:
    _nil_Scheduler() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Scheduler() {}
  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Scheduler::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Scheduler_proxyObjectFactory : public proxyObjectFactory {
  public:
    Scheduler_proxyObjectFactory () {}
    virtual ~Scheduler_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Scheduler_ptr _nil() {
      if (!__nil_Scheduler) {
        __nil_Scheduler = new _nil_Scheduler;
      }
      return __nil_Scheduler;
    }
  private:
    static Scheduler_ptr __nil_Scheduler;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Scheduler;


_CORBA_MODULE_END

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::Simple_AB_Poller::Octets& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::Simple_AB_Poller::_tc_Octets->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::Simple_AB_Poller::_tc_Octets,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Poller::Octets* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_Simple_AB_Poller_Octets_delete(void* _data) {
  ABng_Poller::Simple_AB_Poller::Octets* _0RL_t = (ABng_Poller::Simple_AB_Poller::Octets*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::Simple_AB_Poller::Octets*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::Simple_AB_Poller::_tc_Octets,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::Simple_AB_Poller::Octets* _0RL_tmp = new ABng_Poller::Simple_AB_Poller::Octets;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_Simple_AB_Poller_Octets_delete);
    }

    _sp = (ABng_Poller::Simple_AB_Poller::Octets*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::Simple_AB_Poller::Message& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::Simple_AB_Poller::_tc_Message->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::Simple_AB_Poller::_tc_Message,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Poller::Message* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_Simple_AB_Poller_Message_delete(void* _data) {
  ABng_Poller::Simple_AB_Poller::Message* _0RL_t = (ABng_Poller::Simple_AB_Poller::Message*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::Simple_AB_Poller::Message*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::Simple_AB_Poller::_tc_Message,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::Simple_AB_Poller::Message* _0RL_tmp = new ABng_Poller::Simple_AB_Poller::Message;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_Simple_AB_Poller_Message_delete);
    }

    _sp = (ABng_Poller::Simple_AB_Poller::Message*) _0RL_data;
    return 1;
  }
}

#endif


void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Poller_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Poller_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::Simple_AB_Poller_ptr& _s);

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Octets& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::AB_Poller::_tc_Octets->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::AB_Poller::_tc_Octets,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Octets* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_AB_Poller_Octets_delete(void* _data) {
  ABng_Poller::AB_Poller::Octets* _0RL_t = (ABng_Poller::AB_Poller::Octets*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Octets*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::AB_Poller::_tc_Octets,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::AB_Poller::Octets* _0RL_tmp = new ABng_Poller::AB_Poller::Octets;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_AB_Poller_Octets_delete);
    }

    _sp = (ABng_Poller::AB_Poller::Octets*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Badge_Id& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::AB_Poller::_tc_Badge_Id->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::AB_Poller::_tc_Badge_Id,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Badge_Id* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_AB_Poller_Badge_Id_delete(void* _data) {
  ABng_Poller::AB_Poller::Badge_Id* _0RL_t = (ABng_Poller::AB_Poller::Badge_Id*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Badge_Id*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::AB_Poller::_tc_Badge_Id,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::AB_Poller::Badge_Id* _0RL_tmp = new ABng_Poller::AB_Poller::Badge_Id;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_AB_Poller_Badge_Id_delete);
    }

    _sp = (ABng_Poller::AB_Poller::Badge_Id*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Address& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::AB_Poller::_tc_Address->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::AB_Poller::_tc_Address,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Address* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_AB_Poller_Address_delete(void* _data) {
  ABng_Poller::AB_Poller::Address* _0RL_t = (ABng_Poller::AB_Poller::Address*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Address*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::AB_Poller::_tc_Address,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::AB_Poller::Address* _0RL_tmp = new ABng_Poller::AB_Poller::Address;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_AB_Poller_Address_delete);
    }

    _sp = (ABng_Poller::AB_Poller::Address*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Tones& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::AB_Poller::_tc_Tones->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::AB_Poller::_tc_Tones,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Tones* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_AB_Poller_Tones_delete(void* _data) {
  ABng_Poller::AB_Poller::Tones* _0RL_t = (ABng_Poller::AB_Poller::Tones*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Tones*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::AB_Poller::_tc_Tones,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::AB_Poller::Tones* _0RL_tmp = new ABng_Poller::AB_Poller::Tones;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_AB_Poller_Tones_delete);
    }

    _sp = (ABng_Poller::AB_Poller::Tones*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Field_Id& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Poller::AB_Poller::_tc_Field_Id->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Poller::AB_Poller::_tc_Field_Id,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Field_Id* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Poller_AB_Poller_Field_Id_delete(void* _data) {
  ABng_Poller::AB_Poller::Field_Id* _0RL_t = (ABng_Poller::AB_Poller::Field_Id*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Field_Id*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Poller::AB_Poller::_tc_Field_Id,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Poller::AB_Poller::Field_Id* _0RL_tmp = new ABng_Poller::AB_Poller::Field_Id;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Poller_AB_Poller_Field_Id_delete);
    }

    _sp = (ABng_Poller::AB_Poller::Field_Id*) _0RL_data;
    return 1;
  }
}

#endif


void operator<<=(CORBA::Any& _a, const ABng_Poller::AB_Poller::Time_Stamp& _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller::Time_Stamp* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller::Time_Stamp*& _sp);


void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller_V2_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Poller_V2_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Poller_V2_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Observer_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::Simple_AB_Observer_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::Simple_AB_Observer_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Observer_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Observer_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Observer_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Observer_V2_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Poller::AB_Observer_V2_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Poller::AB_Observer_V2_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Core_System::Scheduler_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Core_System::Scheduler_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Core_System::Scheduler_ptr& _s);


#undef _LC_attr

#endif // __abng_poller_hh__
